TechDraw Midpoints: Difference between revisions

From FreeCAD Documentation
No edit summary
(V0.22 -> V1.0)
 
(32 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:16-->
<!--T:16-->
{{Docnav
{{Docnav
|[[TechDraw_CosmeticVertex|Cosmetic Vertex]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_Quadrants|Quadrants]]
|[[TechDraw_Quadrant|Quadrant]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=Techdraw-point.svg
|IconL=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_Quadrants.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-quadrant.svg
}}
}}


Line 14: Line 15:
{{GuiCommand
{{GuiCommand
|Name=TechDraw Midpoints
|Name=TechDraw Midpoints
|MenuLocation=TechDraw → Add Vertices → Add Midpoint Vertices
|Icon=techdraw-midpoint.svg
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|MenuLocation=TechDraw → Add Vertices → Add midpoints vertices
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw Quadrant|TechDraw Quadrant]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw_Quadrants|TechDraw Quadrants]]
}}
}}


Line 24: Line 24:


<!--T:8-->
<!--T:8-->
The Midpoints tool adds Cosmetic Vertices at the midpoints of one or more Edges.
The '''TechDraw Midpoints''' tool adds [[TechDraw_CosmeticVertex|cosmetic vertices]] at the midpoint of one or more selected edges.


</translate>
</translate>
[[Image:TechDraw_CosmeticMidpoint_Sample.png]]
[[Image:TechDraw_CosmeticMidpoint_Sample.png|250px]]
<translate>
<translate>
<!--T:9-->
<!--T:9-->
{{Caption|Cosmetic Vertices at midpoints of Edges}}
{{Caption|Cosmetic vertices at the midpoint of edges}}


==How to use== <!--T:3-->
==Usage== <!--T:3-->


<!--T:10-->
<!--T:10-->
# Select one or more Edges in a View.
# Select one or more edges in a view.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:techdraw-midpoint.svg|16px]] [[TechDraw Midpoints|Midpoints]]}} button
#* Press the {{Button|[[Image:TechDraw_Midpoints.svg|16px]] [[TechDraw_Midpoints|Add Midpoint Vertices]]}} button.
# Cosmetic Vertices will be added at the mid-point(s) of the Edge(s).
#* Select the {{MenuCommand|TechDraw → Add Vertices → [[Image:TechDraw_Midpoints.svg|16px]] Add Midpoint Vertices}} option from the menu.


==Notes== <!--T:23-->

<!--T:24-->
* The created cosmetic vertices are not parametrically linked to the selected edges.
* To delete a cosmetic vertex select it and press {{KEY|Delete}}. {{Version|1.0}}


==Properties== <!--T:19-->
==Properties== <!--T:19-->


<!--T:20-->
<!--T:20-->
Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.
Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:12-->
<!--T:12-->
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:13-->
<!--T:13-->
Cosmetic Vertices are not accessible from [[macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.
Cosmetic vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all cosmetic vertices from the view.


</translate>
</translate>
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> v.clearCV()
v.clearCV()
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}

<translate>
<translate>



<!--T:17-->
<!--T:17-->
{{Docnav
{{Docnav
|[[TechDraw_CosmeticVertex|Cosmetic Vertex]]
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_Quadrants|Quadrants]]
|[[TechDraw_Quadrant|Quadrant]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=Techdraw-point.svg
|IconL=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_Quadrants.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-quadrant.svg
}}
}}


<!--T:14-->
{{TechDraw Tools navi}}

<!--T:15-->
{{Userdocnavi}}
</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 10:20, 21 April 2024

TechDraw Midpoints

Menu location
TechDraw → Add Vertices → Add Midpoint Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Quadrants

Description

The TechDraw Midpoints tool adds cosmetic vertices at the midpoint of one or more selected edges.

Cosmetic vertices at the midpoint of edges

Usage

  1. Select one or more edges in a view.
  2. There are several ways to invoke the tool:
    • Press the Add Midpoint Vertices button.
    • Select the TechDraw → Add Vertices → Add Midpoint Vertices option from the menu.

Notes

  • The created cosmetic vertices are not parametrically linked to the selected edges.
  • To delete a cosmetic vertex select it and press Delete. introduced in version 1.0

Properties

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic vertices are not accessible from macros or the Python console at this time. This snippet will remove all cosmetic vertices from the view.

v = App.ActiveDocument.View
v.clearCV()
App.ActiveDocument.recompute()